freebsd-ports/math/isabelle/files/patch-bin-isabelle_interface
Edwin Groothuis ecaabb26ca Update port: math/isabelle
Update to Isabelle port:
	* Works with updated sml-nj-devel port.
	* Does not require bash
	Thanks to Johannes 5 Joemann for helpful comments/patches.

PR:		ports/116046
Submitted by:	Timothy Bourke <timbob@bigpond.com>
2007-09-10 12:11:09 +00:00

23 lines
574 B
Text

--- ./bin/isabelle-interface.orig Sun Sep 2 15:23:58 2007
+++ ./bin/isabelle-interface Sun Sep 2 16:05:48 2007
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
#
# $Id: isabelle-interface,v 1.8 2005/05/17 16:10:33 wenzelm Exp $
# Author: Markus Wenzel, TU Muenchen
@@ -16,12 +16,12 @@
PRG="$(basename "$0")"
ISABELLE_HOME="$(cd "$(dirname "$0")"; cd "$(pwd -P)"; cd ..; pwd)"
-source "$ISABELLE_HOME/lib/scripts/getsettings" || exit 2
+. "$ISABELLE_HOME/lib/scripts/getsettings" || exit 2
## diagnostics
-function fail()
+fail()
{
echo "$1" >&2
exit 2